<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

<PropertyGroup>
	<TargetFramework>net6.0-windows</TargetFramework>
</PropertyGroup>
	
  <ItemGroup>
    <PackageReference Include="DocumentFormat.OpenXml" Version="2.19.0" />
    <PackageReference Include="MailKit" Version="4.6.0" />
    <PackageReference Include="NLog" Version="5.3.2" />
    <PackageReference Include="NLog.Extensions.Logging" Version="5.3.11" />
    <PackageReference Include="PdfSharp.MigraDoc.Standard" Version="1.51.15" />
    <PackageReference Include="ReportViewerCore.WinForms" Version="15.1.19" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\BarContracts\BarContracts\BarContracts.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="OfficePackage\HelperModels\" />
  </ItemGroup>

	<ItemGroup>
		<Content Include="foldername\**" CopyToPublishDirectory="Always" />
	</ItemGroup>

</Project>
